function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
import React, { forwardRef } from "react";
import { StyleSheet } from "react-native";
import { WebView } from "react-native-webview";

/**
 *  NOT change the following value
 * - the background of webview must be transparent because otherwise the page will
 *   cover the background with default background color and you'll see the image just
 *   after some scroll up/down (Android BUG)
 */
const getWebViewStyle = style => {
  const backgroundStyle = {
    backgroundColor: "#00000000"
  };
  if (!style) {
    return backgroundStyle;
  }
  return StyleSheet.flatten([style, backgroundStyle]);
};
export const OsanoWebView = /*#__PURE__*/forwardRef((props, ref) => {
  const {
    style,
    ...rest
  } = props;
  return /*#__PURE__*/React.createElement(WebView, _extends({
    ref: ref,
    style: getWebViewStyle(style),
    originWhitelist: ["http://", "https://", "xhttp://", "xhttps://", "local://", "file://"],
    mixedContentMode: "always",
    allowFileAccess: true,
    allowUniversalAccessFromFileURLs: true,
    thirdPartyCookiesEnabled: true,
    domStorageEnabled: true,
    javaScriptEnabled: true,
    sharedCookiesEnabled: true,
    bounces: false,
    cacheEnabled: true
  }, rest, {
    startInLoadingState: false
    //@ts-ignore
    ,
    androidForceHasOverlappingRendering: false,
    messagingEnabled: true
  }));
});
//# sourceMappingURL=osano-webview.js.map