import React from "react";
import { IConfiguration } from "./types";
import { IMessageCallbacks } from "./useMessage";
type Props = {
    children: React.ReactNode;
    considerSafeArea?: boolean;
    configuration: IConfiguration;
} & IMessageCallbacks;
/**
 * Is a provider that will wrap the children and provide the configuration to the Osano component
 * setHook is used to update the configuration of the Context outside component lifecycle (is not a good practice)
 */
declare function OsanoContainer(props: Props): React.JSX.Element;
export default OsanoContainer;
//# sourceMappingURL=osano-container.d.ts.map