import { IConsent, IConsentData, ITcData, IUspData, IVendorList } from "./types";
import { IMessageCallbacks } from "./useMessage";
export declare const useCallbacks: (props: IMessageCallbacks) => {
    onClose: () => void;
    onConsent: (consent: IConsent) => void;
    onLoadUrl: ((event: import("react-native-webview/lib/WebViewTypes").ShouldStartLoadRequest) => boolean) | undefined;
    onUspData: (data: IUspData) => void;
    onTcData: (data: ITcData) => void;
    onConsentDate: (data: string) => void;
    onError: (error: Error) => void;
    onCookieBlocked: (cookie: string) => void;
    onScriptBlocked: (src: string) => void;
    onIframeBlocked: (src: string) => void;
    onConsentData: (data: IConsentData) => void;
    onVendorList: (data: IVendorList) => void;
};
//# sourceMappingURL=useCallbacks.d.ts.map